Обновление ОС на сервере

Аватар пользователя gor gor 10 апреля 2012 в 22:53

Уважаемые посетители Drupal.ru

Завтра, 11 Апреля 2012 г, запланировано обновление ПО с последующей перезагрузкой сервера, где находится drupal.ru.
Соответственно с 23:00 до 23:59 по Московскому времени возможны перебои в работе сайта.

Просим проявить понимание и терпение.

С Уважением,
Команда IT Patrol inc.

0 Thanks

Комментарии

Аватар пользователя RedRat RedRat 11 апреля 2012 в 19:26

Кстати, а что за ОС используется на сервере, если не секрет? И какая версия PHP и MySQL?

Аватар пользователя gor gor 11 апреля 2012 в 21:43

Используется CentOS 6, PHP 5.3.10 и Percona Server 5.5.х. + еще куча разных плюшек.

Drupal.ru (6ка сейчас) специально патчился для совместимости с php 5.3.x кстати.

Аватар пользователя gor gor 11 апреля 2012 в 23:17

Обновление закончили.
Если какие проблемы заметны - пишите сюда.

Аватар пользователя RedRat RedRat 12 апреля 2012 в 19:34
"gor" wrote:

Drupal.ru (6ка сейчас) специально патчился для совместимости с php 5.3.x кстати.

Опять же, если не секрет - а что именно вы патчили в ядре 6-ки? Просто у меня несколько 6-к крутится под FreeBSD + PHP 5.3.10, и патчить там пришлось только диапазон Уникод-символов да кривое экранирование во Вьюсах: http://drupal.org/node/1446372 и http://drupal.org/node/1373588. Всё остальное под 5.3.10 вроде без ошибок работает. Но вдруг я что-то упустил? ;-)

Аватар пользователя Shi3A Shi3A 12 апреля 2012 в 23:39

Эм... у меня 6.25 друпал, под PHP 5.3.10-1, на debian'е, 3 крупных сайта, десяток мелких, проблем никаких не замечал О_о Однако

Аватар пользователя annya annya 13 апреля 2012 в 11:57

По поводу, совместимости php 5.3 и Drupal 6 - из http://drupal.org/requirements ремарка
«Drupal 6 notes

Although PHP 5.3 is supported by Drupal 6.14 core and higher (see the release notes for 6.14), some contributed modules may not be compatible with PHP 5.3, and some PHP 5.3 configurations still show warnings with Drupal 6.14; work is ongoing to resolve the latter in #360605: PHP 5.3 Compatibility.»